<?php
require('conexion.php');
session_start();

$id_nota = $_SESSION['cveNota'];
//$zona_atencion = $_POST['zona_atencion'];
$no_mesa = $_POST['no_mesa'];
$no_personas = $_POST['no_personas'];
$hora_edt = $_POST['hora_edt'];
$total_descuento = $_POST['total_descuento'];
$hora_edt = $_POST['hora_edt'];
// $sesion_id = $_POST['sesion_id'];

$ntv_estatus = 'pendiente';
if ($total_descuento=="") {
    $total_descuento=0;
}
if (isset($_POST['ntv_estatus'])) {
    $ntv_estatus = $_POST['ntv_estatus'];
}
if ($no_mesa ==0) {
    $zona_atencion = "Para llevar";
}else{
    $zona_atencion = "Venta en piso";
}
$subtotal=query("SELECT SUM(pdn_cantidad*pdn_precio) 'SUBTOTAL' FROM productos_nota WHERE id_nota_venta='$id_nota'");
$resultado1=mysqli_fetch_assoc($subtotal);

$subtotal = $resultado1['SUBTOTAL'];
$descuento = ($subtotal*$total_descuento)/100;
$total = $subtotal - $descuento;
/*
$nota_pendiente = query("SELECT id FROM notas_venta WHERE notas_venta.ntv_estatus = 'pagado' AND id='$id_nota'");
if ($nota_pendiente->num_rows > 0) {

    //$res = query("call sp_edit_nota('$id_nota','$zona_atencion','$no_mesa','$no_personas','$hora_edt','$subtotal','$total_descuento','$total','$ntv_estatus')");
    //$query = query("UPDATE productos_nota SET pdn_guardado=pdn_guardado+1 WHERE pdn_guardado=0 AND id_nota_venta='$id_nota'");

    $query = query("UPDATE productos_nota SET pdn_guardado=pdn_guardado+1 WHERE pdn_guardado=0 AND id_nota_venta='$id_nota'");

}else{
   
    $res = query("call sp_edit_nota('$id_nota','$zona_atencion','$no_mesa','$no_personas','$hora_edt','$subtotal','$total_descuento','$total','$ntv_estatus')");
    $query = query("UPDATE productos_nota SET pdn_guardado=pdn_guardado+1 WHERE pdn_guardado=0 AND id_nota_venta='$id_nota'");

}*/

$res = query("call sp_edit_nota('$id_nota','$zona_atencion','$no_mesa','$no_personas','$hora_edt','$subtotal','$total_descuento','$total','$ntv_estatus')");
$query = query("UPDATE productos_nota SET pdn_guardado=pdn_guardado+1 WHERE pdn_guardado=0 AND id_nota_venta='$id_nota'");
// query("UPDATE sesiones SET estatus = 0 WHERE id = $sesion_id");

echo "pendiente";
//echo ($res);
?>